---
title: device-aspect-ratio
slug: Web/CSS/@media/device-aspect-ratio
tags:
  - '@media'
  - CSS
  - Deprecated
  - Media Queries
  - Reference
  - Web
  - media feature
---
<div>{{cssref}} {{deprecated_header}}</div>

<p>The <strong><code>device-aspect-ratio</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the width-to-height aspect ratio of an output device.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>device-aspect-ratio</code> feature is specified as a {{cssxref("&lt;ratio&gt;")}}. It is a range feature, meaning that you can also use the prefixed <strong><code>min-device-aspect-ratio</code></strong> and <code><strong>max-device-aspect-ratio</strong></code> variants to query minimum and maximum values, respectively.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_min-device-aspect-ratio">Using min-device-aspect-ratio</h3>

<pre class="brush: css notranslate">article {
  padding: 1rem;
}

@media screen and (min-device-aspect-ratio: 16/9) {
  article {
    padding: 1rem 5vw;
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS4 Media Queries', '#device-aspect-ratio', 'device-aspect-ratio')}}</td>
			<td>{{Spec2('CSS4 Media Queries')}}</td>
			<td>Deprecated in Media Queries Level 4.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS3 Media Queries', '#device-aspect-ratio', 'device-aspect-ratio')}}</td>
			<td>{{Spec2('CSS3 Media Queries')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.device-aspect-ratio")}}</p>
